Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512153 - fwupdmgr timed out
Summary: fwupdmgr timed out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsmbios
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Prabhakar Pujeri
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1512729 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-11 00:45 UTC by Alessio
Modified: 2019-01-09 12:54 UTC (History)
11 users (show)

Fixed In Version: libsmbios-2.3.3-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-17 16:42:19 UTC


Attachments (Terms of Use)
thread apply all bt (deleted)
2017-11-13 11:21 UTC, Alessio
no flags Details
valgrind /usr/libexec/fwupd/fwupd (deleted)
2017-11-13 13:34 UTC, Alessio
no flags Details
valgrind output with debuginfo installed (deleted)
2017-11-14 00:15 UTC, Pavel Roskin
no flags Details
LIBSMBIOS_C_DEBUG_OUTPUT_ALL (deleted)
2017-11-14 22:20 UTC, Alessio
no flags Details
with standard error (deleted)
2017-11-15 00:07 UTC, Alessio
no flags Details
stderr when running "LIBSMBIOS_C_DEBUG_OUTPUT_ALL=1 /usr/libexec/fwupd/fwupd" (deleted)
2017-11-15 02:25 UTC, Pavel Roskin
no flags Details

Description Alessio 2017-11-11 00:45:24 UTC
Description of problem:

user@pbale ~> sudo fwupdmgr get-devices
[sudo] password for user: 
Error calling StartServiceByName for org.freedesktop.fwupd: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.freedesktop.fwupd': timed out (service_start_timeout=25000ms)


Version-Release number of selected component (if applicable):

fwupd-1.0.1-3.fc27.x86_64


There is a similar issue open upstream: https://github.com/hughsie/fwupd/issues/92

Comment 1 Alessio 2017-11-11 00:47:02 UTC
user@pbale ~> systemctl status fwupd
● fwupd.service - Firmware update daemon
   Loaded: loaded (/usr/lib/systemd/system/fwupd.service; static; vendor preset: disabled)
   Active: failed (Result: core-dump) since Sat 2017-11-11 01:37:05 CET; 8min ago
     Docs: http://www.fwupd.org/
  Process: 2519 ExecStart=/usr/libexec/fwupd/fwupd (code=dumped, signal=SEGV)
 Main PID: 2519 (code=dumped, signal=SEGV)

Nov 11 01:37:05 host systemd[1]: Starting Firmware update daemon...
Nov 11 01:37:05 host systemd[1]: fwupd.service: Main process exited, code=dumped, status=11/SEGV
Nov 11 01:37:05 host systemd[1]: Failed to start Firmware update daemon.
Nov 11 01:37:05 host systemd[1]: fwupd.service: Unit entered failed state.
Nov 11 01:37:05 host systemd[1]: fwupd.service: Failed with result 'core-dump'.

Comment 2 Alessio 2017-11-11 00:48:11 UTC
alessio@pbale ~> sudo /usr/libexec/fwupd/fwupd --verbose
00:47:14:0510 Fu  Verbose debugging enabled (on console 1)
00:47:14:0510 Fu  loading config values from /etc/fwupd/daemon.conf
00:47:14:0512 Fu  using config path of /etc/fwupd
00:47:14:0512 Fu  loading config from /etc/fwupd/remotes.d/lvfs.conf
00:47:14:0512 Fu  loading config from /etc/fwupd/remotes.d/lvfs-testing.conf
00:47:14:0512 Fu  loading config from /etc/fwupd/remotes.d/fwupd.conf
00:47:14:0512 Fu  loading config from /etc/fwupd/remotes.d/vendor.conf
00:47:14:0512 Fu  ordering lvfs=fwupd+1
00:47:14:0512 Fu  ordering lvfs-testing=lvfs+1
00:47:14:0512 Fu  loading quirks from /usr/share/fwupd/quirks.d/dell.quirk
00:47:14:0512 Fu  now 3 quirk entries
00:47:14:0512 Fu  loading quirks from /usr/share/fwupd/quirks.d/dfu.quirk
00:47:14:0512 Fu  now 71 quirk entries
00:47:14:0512 Fu  no /var/lib/fwupd/quirks.d, skipping
00:47:14:0512 Fu  remote lvfs-testing not enabled, so skipping
00:47:14:0513 As  run AsStore:store-from-file{/var/lib/fwupd/remotes.d/lvfs/metadata.xml.gz}
00:47:14:0517 As  run AsStore:store-from-root
00:47:14:0518 As  using icon path /var/lib/fwupd/remotes.d/lvfs/icons
00:47:14:0520 As  run AsStore:match-addons
00:47:14:0520 As  Emitting ::changed() [from-root]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0521 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  Emitting ::changed() [add-app]
00:47:14:0522 As  run AsStore:store-from-file{/usr/share/fwupd/remotes.d/fwupd/metadata.xml}
00:47:14:0523 As  run AsStore:store-from-root
00:47:14:0523 As  using icon path /usr/share/fwupd/remotes.d/fwupd/icons
00:47:14:0523 As  run AsStore:match-addons
00:47:14:0523 As  Emitting ::changed() [from-root]
00:47:14:0523 As  Emitting ::changed() [add-app]
00:47:14:0523 As  Emitting ::changed() [add-app]
00:47:14:0523 Fu  remote vendor not enabled, so skipping
00:47:14:0523 Fu  devices now in store:
00:47:14:0523 Fu  1	com.dell.uefi5b7ab884.firmware	Precision E7X10 System Update [0.1.12.4]
00:47:14:0523 Fu  2	com.8bitdo.fc30.firmware	FC30 [4.01,4.00,2.70,…]
00:47:14:0523 Fu  3	com.dell.uefi9cb573d5.firmware	Latitude 3480 System Update [0.1.4.1,0.1.3.0,0.1.2.2,…]
00:47:14:0523 Fu  4	com.dell.uefi6180aaaa.firmware	Latitude E5X60 System Update [0.1.14.4,0.1.12.6,0.1.11.4,…]
00:47:14:0523 Fu  5	com.dell.uefia5d83d78.firmware	Precision 5720 AIO System Update [0.2.2.2,0.2.2.1,0.2.2.0,…]
00:47:14:0523 Fu  6	com.8bitdo.fc30arcade.firmware	FC30 Joystick [1.42]
00:47:14:0523 Fu  7	com.dell.uefid636245a.firmware	XPS 13 9365 System Update [0.1.0.21]
00:47:14:0523 Fu  8	com.dell.uefi21f94926.firmware	Edge Gateway 3000/3001/3002/3003 System Update [0.1.0.3,0.1.0.1,0.1.0.0,…]
00:47:14:0523 Fu  9	com.8bitdo.snes30.firmware	SNES30 [4.01,4.00,2.70,…]
00:47:14:0523 Fu  10	com.dell.uefiaee2604a.firmware	Embedded Box PC 3000 System Update [0.1.3.0,0.1.2.0,0.1.1.3,…]
00:47:14:0523 Fu  11	com.dell.uefi4fed6c9d.firmware	OptiPlex 7050 System Update [0.1.5.2,0.1.2.0,0.1.1.0,…]
00:47:14:0523 Fu  12	com.dell.uefi169d9146.firmware	Vostro 14-3468 System Update [0.1.7.0]
00:47:14:0523 Fu  13	com.dell.uefi1d4362ca.firmware	Inspiron 14-3467 System Update [0.1.5.0]
00:47:14:0523 Fu  14	com.dell.uefib950d63c.firmware	OptiPlex 7040 System Update [0.1.5.7]
00:47:14:0523 Fu  15	com.dell.uefi48af7d21.firmware	XPS 13 9360 System Update [0.1.3.2,0.1.0.7]
00:47:14:0523 Fu  16	com.dell.uefi8661c04a.firmware	Latitude 3470 System Update [0.1.8.0,0.1.6.2,0.1.5.2,…]
00:47:14:0523 Fu  17	com.dell.uefic915b5a4.firmware	Precision Tower 3620 System Update [0.2.3.5]
00:47:14:0523 Fu  18	com.8bitdo.nes30pro.firmware	NES30 Pro [4.01,4.00,1.71,…]
00:47:14:0523 Fu  19	com.hughski.ColorHug.firmware	ColorHug [1.2.6,1.2.5,1.2.4,…]
00:47:14:0523 Fu  20	com.dell.uefid69fed57.firmware	OptiPlex 3050 AIO System Update [0.1.5.4,0.1.4.3,0.1.2.0,…]
00:47:14:0523 Fu  21	com.dell.uefi10c40550.firmware	OptiPlex 7050 System Update [0.1.5.2]
00:47:14:0523 Fu  22	com.dell.uefi1367a91a.firmware	OptiPlex 5050 System Update [0.1.5.2]
00:47:14:0523 Fu  23	com.dell.uefif952fe9e.firmware	Latitude 3380 System Update [0.1.2.1,0.1.1.2,0.1.0.7,…]
00:47:14:0523 Fu  24	com.dell.uefi33773727.firmware	XPS 13 9350 System Update [0.1.5.1,0.1.4.18,0.1.4.17,…]
00:47:14:0523 Fu  25	com.dell.ueficdcae5ae.firmware	Latitude 5X90 System Update [0.1.0.2]
00:47:14:0523 Fu  26	com.8bitdo.fc30pro.firmware	FC30 Pro [4.01,4.00,1.71,…]
00:47:14:0523 Fu  27	com.dell.uefi8ae34f14.firmware	OptiPlex 7450 AIO System Update [0.1.5.2]
00:47:14:0523 Fu  28	com.dell.uefib566a9b1.firmware	OptiPlex 5250 AIO System Update [0.1.5.2,0.1.4.2,0.1.2.0,…]
00:47:14:0523 Fu  29	com.dell.uefie0f614ed.firmware	Edge Gateway 5000/5100 System Update [0.1.6.0,0.1.5.0,0.1.3.2,…]
00:47:14:0523 Fu  30	com.dell.uefi60aa5c8d.firmware	Wyse 3040 System Update [0.1.2.2,0.1.2.1]
00:47:14:0523 Fu  31	com.dell.uefi124c207d.firmware	XPS 15 9550/Precision 5510 System Update [0.1.4.0,0.1.3.0,0.1.2.29,…]
00:47:14:0523 Fu  32	com.dell.uefi51d41d4e.firmware	Latitude 7370 System Update [0.1.12.4,0.1.11.4,0.1.10.6,…]
00:47:14:0523 Fu  33	com.dell.uefi5034bac4.firmware	TPM 1.2 Update [5.81.2.1]
00:47:14:0523 Fu  34	com.dell.uefi416d1c90.firmware	OptiPlex 5250 AIO System Update [0.1.5.2]
00:47:14:0523 Fu  35	com.dell.uefi22d63f4.firmware	TPM 2.0 Update [1.3.1.0]
00:47:14:0523 Fu  36	com.dell.uefi53f51f56.firmware	Latitude 7X80 System Update [0.1.7.2,0.1.6.5,0.1.6.4,…]
00:47:14:0523 Fu  37	com.logitech.MPK01.firmware	Logitech K780 Multi-Device Wireless Keyboard [MPK01.03_B0024]
00:47:14:0523 Fu  38	com.dell.uefi7d0d2c9e.firmware	Inspiron 7577/Vostro 7570 System Update [0.1.1.3]
00:47:14:0523 Fu  39	com.dell.uefid63450d6.firmware	OptiPlex 3046 System Update [0.1.2.7,0.1.5.7]
00:47:14:0523 Fu  40	com.dell.uefi212026ee.firmware	Latitude E7X70 System Update [0.1.16.4,0.1.15.4,0.1.13.4,…]
00:47:14:0523 Fu  41	com.logitech.Unifying.RQR24.firmware	Logitech Unifying Receiver [RQR24.05_B0029]
00:47:14:0523 Fu  42	com.dell.uefi8b7b32a7.firmware	Latitude 5X80 System Update [0.1.7.4,0.1.6.4,0.1.5.3,…]
00:47:14:0523 Fu  43	com.8bitdo.nes30.firmware	NES30 [4.01,4.00,2.70,…]
00:47:14:0523 Fu  44	com.dell.uefi78db8ddd.firmware	OptiPlex 3050 AIO System Update [0.1.5.4]
00:47:14:0523 Fu  45	com.dell.uefi5ffdbc0d.firmware	XPS 13 9360 System Update [0.2.3.1,0.2.2.1,0.2.1.0,…]
00:47:14:0524 Fu  46	com.dell.uefi3c20b9e1.firmware	OptiPlex 7450 AIO System Update [0.1.5.2,0.1.4.2,0.1.2.0,…]
00:47:14:0524 Fu  47	com.dell.uefi49e03513.firmware	Latitude 5X80 System Update [0.1.7.4,0.1.6.4,0.1.5.3,…]
00:47:14:0524 Fu  48	com.dell.uefic8ccf733.firmware	OptiPlex 5055 Ryzen CPU System Update [0.1.0.7,0.1.0.1]
00:47:14:0524 Fu  49	com.hughski.ColorHug2.firmware	ColorHug2 [2.0.7,2.0.6,2.0.5,…]
00:47:14:0524 Fu  50	com.dell.uefi293af847.firmware	OptiPlex 3050 System Update [0.1.2.0,0.1.0.1]
00:47:14:0524 Fu  51	com.8bitdo.n30arcade.firmware	N30 Arcade [4.01]
00:47:14:0524 Fu  52	com.dell.uefi8080d214.firmware	OptiPlex 5050 System Update [0.1.5.2,0.1.2.0,0.1.0.1,…]
00:47:14:0524 Fu  53	com.dell.uefi45e3439b.firmware	ChengMing 3967 System Update [0.1.0.7,0.1.0.6,0.1.0.3,…]
00:47:14:0524 Fu  54	com.dell.uefi1610b70e.firmware	Inspiron 14 7000 Gaming/Inspiron 15 7000 Gaming System Update [0.1.0.7,0.1.0.4,0.1.0.3,…]
00:47:14:0524 Fu  55	com.dell.uefi222e3362.firmware	Precision Tower 3420 System Update [0.2.3.5]
00:47:14:0524 Fu  56	com.hughski.ColorHugALS.firmware	ColorHugALS [4.0.3,4.0.2,3.0.2,…]
00:47:14:0524 Fu  57	com.dell.uefia0a3aa54.firmware	Embedded Box PC 5000 System Update [0.1.3.4,0.1.2.0,0.1.1.3,…]
00:47:14:0524 Fu  58	com.logitech.Unifying.RQR12.firmware	Logitech Unifying Receiver [RQR12.07_B0029]
00:47:14:0524 Fu  59	com.dell.uefia81a55fe.firmware	OptiPlex 3240 AIO System Update [0.1.5.19,0.1.5.17,0.1.5.12,…]
00:47:14:0524 Fu  60	com.dell.uefi34578c72.firmware	XPS 15 9560/Precision 5520 System Update [0.1.5.0,0.1.4.0,0.1.3.4,…]
00:47:14:0524 Fu  61	com.8bitdo.sfc30.firmware	SFC30 [4.01,4.00,2.70,…]
00:47:14:0524 Fu  62	com.dell.uefi43ca3264.firmware	OptiPlex 7440 AIO System Update [0.1.8.4,0.1.8.2,0.1.8.0,…]
00:47:14:0524 Fu  63	UEFI-dummy-dev0	UEFI Updates [0.0.1]
00:47:14:0524 Fu  64	com.via.VL811.firmware	VL811 Firmware [0.0.983]
00:47:14:0524 Fu  65	com.via.VL811+.firmware	VL811+ Firmware [0.0.9095]
00:47:14:0524 Fu  66	com.via.VL812.firmware	VL812 Firmware [0.0.8581]
00:47:14:0524 Fu  67	com.via.VL812_B2.firmware	VL812 B2 Firmware [0.0.9091]
00:47:14:0526 Fu  smbios property Manufacturer=Dell Inc.
00:47:14:0526 Fu  smbios property EnclosureKind=9
00:47:14:0526 Fu  smbios property Family=XPS
00:47:14:0526 Fu  smbios property ProductName=XPS 13 9360
00:47:14:0526 Fu  smbios property ProductSku=075B
00:47:14:0526 Fu  smbios property BiosVendor=Dell Inc.
00:47:14:0526 Fu  smbios property BiosVersion=1.3.7
00:47:14:0526 Fu  smbios property BiosMajorRelease=1
00:47:14:0526 Fu  smbios property BiosMinorRelease=3
00:47:14:0526 Fu  smbios property BaseboardManufacturer=Dell Inc.
00:47:14:0526 Fu  smbios property BaseboardProduct=00GCYR
00:47:14:0526 Fu  {4475770e-0ae9-5056-9b72-674272f072b8}   <- Dell Inc.&XPS&XPS 13 9360&75B&Dell Inc.&1.3.7&1&3
00:47:14:0526 Fu  {2f2ee3d2-6d47-5aa7-baae-92dcc4e93d96}   <- Dell Inc.&XPS&XPS 13 9360&Dell Inc.&1.3.7&1&3
00:47:14:0526 Fu  {499c0eb6-160f-5e83-ad0a-aad88c037fb1}   <- Dell Inc.&XPS 13 9360&Dell Inc.&1.3.7&1&3
00:47:14:0526 Fu  {746515ea-6fb4-5708-9f9c-cf8ddcf8180f}   <- Dell Inc.&XPS&XPS 13 9360&75B&Dell Inc.&GCYR
00:47:14:0526 Fu  {94e8fe4a-d368-520f-bb81-7e73f1513933}   <- Dell Inc.&XPS&XPS 13 9360&75B
00:47:14:0526 Fu  {5bd169c3-df04-560d-b1e0-4e32e62ed68a}   <- Dell Inc.&XPS&XPS 13 9360
00:47:14:0526 Fu  {66410778-7e46-5ce3-897a-c55eafcf4b4f}   <- Dell Inc.&75B&Dell Inc.&GCYR
00:47:14:0526 Fu  {31fe1e66-a857-51d9-8531-4d85ea705b66}   <- Dell Inc.&75B
00:47:14:0526 Fu  {5fd23eab-374d-540a-8b59-d2db5042a4a0}   <- Dell Inc.&XPS 13 9360&Dell Inc.&GCYR
00:47:14:0526 Fu  {01e59c76-43cc-5384-82c3-8235fe966152}   <- Dell Inc.&XPS 13 9360
00:47:14:0526 Fu  {6e377a75-2141-53ca-8edd-53ae82870187}   <- Dell Inc.&XPS&Dell Inc.&GCYR
00:47:14:0526 Fu  {61178075-a8fd-563c-9045-44227d8c121f}   <- Dell Inc.&XPS
00:47:14:0526 Fu  {29ca4080-4d68-5395-afe2-35fa9a4f13bf}   <- Dell Inc.&9
00:47:14:0526 Fu  {cb9bd1f8-ddf7-555e-9951-602a54daf152}   <- Dell Inc.&Dell Inc.&GCYR
00:47:14:0526 Fu  {85d38fda-fc0e-5c6f-808f-076984ae7978}   <- Dell Inc.
00:47:14:0526 Fu  adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
00:47:14:0526 Fu  performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_synapticsmst.so
00:47:14:0526 Fu  adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_unifying.so
00:47:14:0527 Fu  performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_unifying.so
00:47:14:0527 Fu  adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_test.so
00:47:14:0527 Fu  performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_test.so
00:47:14:0527 Test init
00:47:14:0527 Fu  test blacklisted by config
00:47:14:0527 Fu  performing destroy() on test
00:47:14:0527 Test destroy
00:47:14:0527 Fu  adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi.so
00:47:14:0528 Fu  performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_uefi.so
00:47:14:0528 Fu  adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
00:47:14:0528 Fu  performing init() on /usr/lib64/fwupd-plugins-3/libfu_plugin_dell.so
00:47:14:0610 Fu  adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt_power.so
fish: “sudo /usr/libexec/fwupd/fwupd -…” terminated by signal SIGSEGV (Address boundary error)

Comment 3 Alessio 2017-11-11 00:54:56 UTC
(In reply to Alessio from comment #0)
> There is a similar issue open upstream:
> https://github.com/hughsie/fwupd/issues/92

The message is the same, but the issue seems related to the fact that the daemon is not running because it crash.

Comment 4 Richard Hughes 2017-11-13 09:28:32 UTC
> 00:47:14:0610 Fu  adding plugin /usr/lib64/fwupd-plugins-3/libfu_plugin_thunderbolt_power.so
> fish: “sudo /usr/libexec/fwupd/fwupd -…” terminated by signal SIGSEGV (Address boundary error)

It looks like the daemon is crashing -- can you get a backtrace of this using gdb please. Thanks!

Comment 5 Alessio 2017-11-13 11:21:28 UTC
Created attachment 1351528 [details]
thread apply all bt

I'm unpratical with gdb.
Is the attached backtrace ok?

Comment 6 Richard Hughes 2017-11-13 13:25:24 UTC
That's great thanks. It's a very weird backtrace, and the only way it makes sense is if it's some kind of memory corruption. Could you try running fwupd under valgrind please, and saving the full log -- thanks. We've tried to reproduce this on a few machines here without much luck, so can you also shared what kind of machine you're running on, and also if you have any thunderbolt devices currently installed. Thanks!

Comment 7 Alessio 2017-11-13 13:29:19 UTC
The hardware is a Dell XPS 13 9360
No thunderbolt devices currently installed.

Thank you.

(valgrind as soon as possible)

Comment 8 Alessio 2017-11-13 13:34:41 UTC
Created attachment 1351570 [details]
valgrind /usr/libexec/fwupd/fwupd

This is the result of the command
sudo valgrind /usr/libexec/fwupd/fwupd

Comment 9 Alessio 2017-11-13 14:02:46 UTC
This is strange to me: running with valgrind the daemon seems that doesn't crash. Is this possible?

Comment 10 Richard Hughes 2017-11-13 14:10:01 UTC
This looks like a bug in the libsmbios library -- I've reassigned the bug and I'll ping the upstream about it. Thanks for all the help so far.

Comment 11 Richard Hughes 2017-11-13 14:10:53 UTC
(In reply to Alessio from comment #9)
> This is strange to me: running with valgrind the daemon seems that doesn't
> crash. Is this possible?

Not unusual, valgrind often stops the process from doing the thing that actually crashes it. Helpfully for us, it does log when something is doing something crazy. :)

Comment 12 Alessio 2017-11-13 14:24:24 UTC
(In reply to Richard Hughes from comment #10)
> This looks like a bug in the libsmbios library -- I've reassigned the bug
> and I'll ping the upstream about it. Thanks for all the help so far.

Thank to you!

Comment 13 Mario Limonciello 2017-11-13 16:31:16 UTC
/usr/lib64/libsmbios_c.so.2.2.1

Is that really correct?  You have libsmbios 2.2.1?  There's been a bunch of releases since then, and even on https://apps.fedoraproject.org/packages/libsmbios the latest is 2.3.0.  Can you please upgrade to that and see if it still reproduces?

Thanks,

Comment 14 Pavel Roskin 2017-11-14 00:00:43 UTC
Libtool version (the numbers after ".so") are not related to the package version. Any resemblance is accidental.

rpm -qf /usr/lib64/libsmbios_c.so.2.2.1
libsmbios-2.3.0-6.fc27.x86_64

My Fedora 27 is up-to-date with updates-testing.

I've made an abrt-generated bug #1512729

Comment 15 Pavel Roskin 2017-11-14 00:03:15 UTC
*** Bug 1512729 has been marked as a duplicate of this bug. ***

Comment 16 Pavel Roskin 2017-11-14 00:15:02 UTC
Created attachment 1351763 [details]
valgrind output with debuginfo installed

In this file, the file names and line numbers can be seen:

==19695== Invalid write of size 4
==19695==    at 0x1AA0E250: smbios_table_factory (smbios_obj.c:99)
==19695==    by 0x1AA0BA81: smbios_strerror (smbios.c:74)

Comment 17 Alessio 2017-11-14 04:29:54 UTC
(In reply to Mario Limonciello from comment #13)
> /usr/lib64/libsmbios_c.so.2.2.1
> 
> Is that really correct?  You have libsmbios 2.2.1?  There's been a bunch of
> releases since then, and even on
> https://apps.fedoraproject.org/packages/libsmbios the latest is 2.3.0.  Can
> you please upgrade to that and see if it still reproduces?

alessio@pbale ~> ls -la /usr/lib64/libsmbios_c.so*
lrwxrwxrwx. 1 root root     20 Aug  3 22:09 /usr/lib64/libsmbios_c.so.2 -> libsmbios_c.so.2.2.1*
-rwxr-xr-x. 1 root root 206656 Aug  3 22:09 /usr/lib64/libsmbios_c.so.2.2.1*
alessio@pbale ~> rpm -qf /usr/lib64/libsmbios_c.so*
libsmbios-2.3.0-6.fc27.x86_64
libsmbios-2.3.0-6.fc27.x86_64

Comment 18 Mario Limonciello 2017-11-14 16:53:30 UTC
Unfortunately my 9360 is not reproducing.  Can one of you affected please set
LIBSMBIOS_C_DEBUG_OUTPUT_ALL=1 in your environment and reproduce again?

Comment 19 Mario Limonciello 2017-11-14 17:23:44 UTC
I think it might be this (which was fixed on master by pjones):
https://github.com/dell/libsmbios/commit/37a99159192d5dac555dfc33ba0cc66de60d79b0

There hasn't been a release in a while though, so I want to make sure that if it isn't that we  get the root cause of this one fixed.

Comment 20 Alessio 2017-11-14 22:20:32 UTC
Created attachment 1352199 [details]
LIBSMBIOS_C_DEBUG_OUTPUT_ALL

The attached file is the output of "/usr/libexec/fwupd/fwupd --verbose" after issuing "export LIBSMBIOS_C_DEBUG_OUTPUT_ALL=1" as root.

Comment 21 Mario Limonciello 2017-11-14 22:32:08 UTC
That's still missing most of the important output from libsmbios.  Can you check if it was output to stderr rather than stdout or something?  It looks like it should be: https://github.com/dell/libsmbios/blob/0a6ba645725a10f78c19f8dde73550ab0093c21c/src/libsmbios_c/common/compiler/gcc.h

Comment 22 Alessio 2017-11-15 00:07:00 UTC
Created attachment 1352218 [details]
with standard error

Sorry. I did not redirect the standard error to the file.
Is it now more useful?

Comment 23 Pavel Roskin 2017-11-15 02:25:47 UTC
Created attachment 1352307 [details]
stderr when running "LIBSMBIOS_C_DEBUG_OUTPUT_ALL=1 /usr/libexec/fwupd/fwupd"

The last line is "dell_smi_factory: failed"

If I run fwupd under valgrind and then run "fwupdmgr get-updates", I get:

No upgrades for device, current is 0.1.14.4: 0.1.12.4=older

I understand I have a newer version of BIOS on my system than available through the update channel.

Comment 24 Kalev Lember 2017-11-15 11:00:31 UTC
Does anything change if you update to libsmbios-2.3.3-1.fc27, https://bodhi.fedoraproject.org/updates/FEDORA-2017-c776007d0e ? It doesn't have the latest fixes from libsmbios git, but at least it is a bit newer than the 2.3.0 release in F27 stable.

Comment 25 Alessio 2017-11-15 11:24:06 UTC
(In reply to Kalev Lember from comment #24)
> Does anything change if you update to libsmbios-2.3.3-1.fc27,
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-c776007d0e ? It doesn't
> have the latest fixes from libsmbios git, but at least it is a bit newer
> than the 2.3.0 release in F27 stable.

After installing libsmbios-2.3.3-1.fc27.x86_64.rpm and starting fwdupd service, it seems all right!


alessio@pbale ~> systemctl status fwupd
● fwupd.service - Firmware update daemon
   Loaded: loaded (/usr/lib/systemd/system/fwupd.service; static; vendor preset: disabled)
   Active: active (running) since Wed 2017-11-15 12:22:19 CET; 3s ago
     Docs: http://www.fwupd.org/
 Main PID: 15169 (fwupd)
    Tasks: 6 (limit: 4915)
   CGroup: /system.slice/fwupd.service
           └─15169 /usr/libexec/fwupd/fwupd

Nov 15 12:22:17 pbale systemd[1]: Starting Firmware update daemon...
Nov 15 12:22:18 pbale fwupd[15169]: disabling plugin because: failed to coldplug raspberrypi: Raspberry PI firmware updating not supported, no /boot/start.elf
Nov 15 12:22:18 pbale fwupd[15169]: disabling plugin because: failed to coldplug thunderbolt_power: missing kernel support for intel-wmi-thunderbolt
Nov 15 12:22:18 pbale fwupd[15169]: using plugins: unifying, dell, thunderbolt, altos, dfu, colorhug, upower, ebitdo, udev, amt, steelseries, synapticsmst, uefi
Nov 15 12:22:18 pbale fwupd[15169]: Daemon ready for requests
Nov 15 12:22:19 pbale systemd[1]: Started Firmware update daemon.

Comment 26 Fedora Update System 2017-11-15 12:14:13 UTC
libsmbios-2.3.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c776007d0e

Comment 27 Kalev Lember 2017-11-15 12:18:13 UTC
(In reply to Alessio from comment #25)
> After installing libsmbios-2.3.3-1.fc27.x86_64.rpm and starting fwdupd
> service, it seems all right!

Excellent! Thanks for testing. Can you also leave positive karma to both the libsmbios update and the fwupd update if things are working properly again?

Comment 28 Alessio 2017-11-15 14:49:36 UTC
Sure.

Thank you

Comment 29 Fedora Update System 2017-11-15 23:52:31 UTC
libsmbios-2.3.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c776007d0e

Comment 30 Fedora Update System 2017-11-17 16:42:19 UTC
libsmbios-2.3.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.